summaryrefslogtreecommitdiffstats
path: root/bin/git-amend-all
diff options
context:
space:
mode:
Diffstat (limited to 'bin/git-amend-all')
-rwxr-xr-xbin/git-amend-all11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/git-amend-all b/bin/git-amend-all
new file mode 100755
index 0000000..9621a0d
--- /dev/null
+++ b/bin/git-amend-all
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+if [ -n "$(git config --get user.signingKey)" ]
+then
+ GIT_OPTIONS="-S"
+fi
+
+git add -A
+git commit -a --amend -C HEAD ${GIT_OPTIONS}